Package org.apache.sling.caconfig.management.multiplexer

# Interface ConfigurationOverrideMultiplexer

All Known Implementing Classes:
  `ConfigurationOverrideMultiplexerImpl`

@ProviderType public interface ConfigurationOverrideMultiplexer
Detects all `ConfigurationOverrideProvider` implementations in the container and consolidates their result based on service ranking.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAllOverridden(@NotNull String contextPath, @NotNull String configName)`
Checks if the whole configuration for the given context path and name is overridden.
`@Nullable Map<String,Object>`
`overrideProperties(@NotNull String contextPath, @NotNull String configName, @NotNull Map<String,Object> properties)`
Override properties for given context path and configuration name.
`@Nullable org.apache.sling.api.resource.Resource`
`overrideProperties(@NotNull String contextPath, @NotNull String configName, @Nullable org.apache.sling.api.resource.Resource configResource)`
Deprecated.
Please use `overrideProperties(String, String, Resource, ResourceResolver)` instead.
`@Nullable org.apache.sling.api.resource.Resource`
`overrideProperties(@NotNull String contextPath, @NotNull String configName, @Nullable org.apache.sling.api.resource.Resource configResource, @NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver)`
Override properties in given configuration resource (if any overrides are defined).

## Method Details

### isAllOverridden

boolean isAllOverridden(@NotNull @NotNull String contextPath, @NotNull @NotNull String configName)
Checks if the whole configuration for the given context path and name is overridden.

Parameters:
  `contextPath` - Context path
  `configName` - Config name
Returns:
  true if the whole configuration is overridden.

### overrideProperties

@Nullable @Nullable Map<String,Object> overrideProperties(@NotNull @NotNull String contextPath, @NotNull @NotNull String configName, @NotNull @NotNull Map<String,Object> properties)
Override properties for given context path and configuration name.

Parameters:
  `contextPath` - Path of context resource for which configuration was resolved
  `configName` - Configuration name
  `properties` - Resolved configuration properties
Returns:
  Overwritten or replaced properties - or null if no override took place

### overrideProperties

@Deprecated @Nullable @Nullable org.apache.sling.api.resource.Resource overrideProperties(@NotNull @NotNull String contextPath, @NotNull @NotNull String configName, @Nullable @Nullable org.apache.sling.api.resource.Resource configResource)
Deprecated.
Please use `overrideProperties(String, String, Resource, ResourceResolver)` instead.
Override properties in given configuration resource (if any overrides are defined).

Parameters:
  `contextPath` - Context path
  `configName` - Configuration name
  `configResource` - Resolved configuration resource
Returns:
  Resource with overwritten configuration properties - or original configuration resource if no override took place

### overrideProperties

@Nullable @Nullable org.apache.sling.api.resource.Resource overrideProperties(@NotNull @NotNull String contextPath, @NotNull @NotNull String configName, @Nullable @Nullable org.apache.sling.api.resource.Resource configResource, @NotNull @NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver)
Override properties in given configuration resource (if any overrides are defined).

Parameters:
  `contextPath` - Context path
  `configName` - Configuration name
  `configResource` - Resolved configuration resource
  `resourceResolver` - Resource resolver
Returns:
  Resource with overwritten configuration properties - or original configuration resource if no override took place